Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_RelationshipSelector

    java.lang.Object
      oracle.ifs.server.S_LibraryObjectSelector
          oracle.ifs.server.S_SystemObjectSelector
              oracle.ifs.server.S_RelationshipSelector

Direct Known Subclasses:
  S_BranchRelationshipSelector, S_FolderRelationshipSelector, S_GroupMemberRelationshipSelector, S_NamedRelationshipSelector

    public class S_RelationshipSelector

extends S_SystemObjectSelector

The `S_RelationshipSelector` class

See Also:
  `S_LibraryService`, `S_LibrarySession`
(Unpublished)

Field Summary

Fields inherited from class oracle.ifs.server.S_LibraryObjectSelector
`m_ClassId, m_IdSortSpecification, m_NameSortSpecification, m_Session`

Constructor Summary
`protected` | `S_RelationshipSelector(S_LibrarySession session, java.lang.Long classId)` Construct a S_RelationshipSelector object.

Method Summary
`protected LibraryQueryStatement` | `getRelationshipSelectCountStatement(LibraryConnection lconn, java.sql.Connection conn)`
`protected LibraryQueryStatement` | `getRelationshipSelectStatement(LibraryConnection lconn, java.sql.Connection conn, SortSpecification sort)`
`protected SortSpecification` | `getSortSeqeunceSortSpecification()` Returns the Default Sort Specification to be used by this selector.
`java.util.Vector` | `selectLeftObjects(java.lang.Long rightId, SortSpecification sort)`
`long` | `selectLeftObjectsCount(java.lang.Long rightId)`
`protected S_LibraryObjectCursor` | `selectLeftObjectsCursor(java.lang.Long rightId, SortSpecification sort)`
`protected long` | `selectRelationshipCount(java.lang.Long leftId, java.lang.Long rightId)`
`protected S_LibraryObjectCursor` | `selectRelationshipCursor(java.lang.Long leftId, java.lang.Long rightId, SortSpecification sort)`
`protected java.util.Vector` | `selectRelationships(java.lang.Long leftId, java.lang.Long rightId, SortSpecification sort)`
`java.util.Vector` | `selectRightObjects(java.lang.Long leftId, SortSpecification sort)`
`long` | `selectRightObjectsCount(java.lang.Long leftId)`
`protected S_LibraryObjectCursor` | `selectRightObjectsCursor(java.lang.Long leftId, SortSpecification sort)`

Methods inherited from class oracle.ifs.server.S_LibraryObjectSelector
`closeCursor, ensureDefaultClass, findObjectById, generateStatementName, generateStatementName, generateStatementName, generateStatementName, getClassData, getClassId, getClassName, getComplexQueryStatement, getCountFromResultSet, getIdSortSpecification, getNameSortSpecification, getResourceString, getService, getSimpleCountQueryStatement, getSimpleQueryStatement, getStatementSuffix, nextItem, selectAllObjects, selectArrayReferencingObjects, selectArrayReferencingObjectsCount, selectArrayReferencingObjectsCursor, selectCount, selectCount, selectObjectById, selectObjects, selectObjects, selectObjects, selectObjects, selectObjectsByMasterId, selectObjectsByStringAttribute, selectObjectsCountByMasterId, selectObjectsCursor, selectObjectsCursorByMasterId, selectObjectsCursorByStringAttribute, selectObjectsExistByMasterId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### S_RelationshipSelector

    protected S_RelationshipSelector(S_LibrarySession session,
                                     java.lang.Long classId)
                              throws IfsException

  Construct a S_RelationshipSelector object. This is the standard variant.

  Parameters:
    `session` - current LibrarySession
    `classId` - class Id this selector is servicing
  Throws:
    `IfsException`

Method Detail

### selectRightObjects

    public java.util.Vector selectRightObjects(java.lang.Long leftId,
                                               SortSpecification sort)
                                        throws IfsException

  Throws:
    `IfsException`

### selectRightObjectsCursor

    protected S_LibraryObjectCursor selectRightObjectsCursor(java.lang.Long leftId,
                                                             SortSpecification sort)
                                                      throws IfsException

  Throws:
    `IfsException`

### selectRightObjectsCount

    public long selectRightObjectsCount(java.lang.Long leftId)
                                 throws IfsException

  Throws:
    `IfsException`

### selectLeftObjects

    public java.util.Vector selectLeftObjects(java.lang.Long rightId,
                                              SortSpecification sort)
                                       throws IfsException

  Throws:
    `IfsException`

### selectLeftObjectsCursor

    protected S_LibraryObjectCursor selectLeftObjectsCursor(java.lang.Long rightId,
                                                            SortSpecification sort)
                                                     throws IfsException

  Throws:
    `IfsException`

### selectLeftObjectsCount

    public long selectLeftObjectsCount(java.lang.Long rightId)
                                throws IfsException

  Throws:
    `IfsException`

### selectRelationships

    protected java.util.Vector selectRelationships(java.lang.Long leftId,
                                                   java.lang.Long rightId,
                                                   SortSpecification sort)
                                            throws IfsException

  Throws:
    `IfsException`

### selectRelationshipCursor

    protected S_LibraryObjectCursor selectRelationshipCursor(java.lang.Long leftId,
                                                             java.lang.Long rightId,
                                                             SortSpecification sort)
                                                      throws IfsException

  Throws:
    `IfsException`

### getRelationshipSelectStatement

    protected LibraryQueryStatement getRelationshipSelectStatement(LibraryConnection lconn,
                                                                   java.sql.Connection conn,
                                                                   SortSpecification sort)
                                                            throws IfsException

  Throws:
    `IfsException`

### selectRelationshipCount

    protected long selectRelationshipCount(java.lang.Long leftId,
                                           java.lang.Long rightId)
                                    throws IfsException

  Throws:
    `IfsException`

### getRelationshipSelectCountStatement

    protected LibraryQueryStatement getRelationshipSelectCountStatement(LibraryConnection lconn,
                                                                        java.sql.Connection conn)
                                                                 throws IfsException

  Throws:
    `IfsException`

### getSortSeqeunceSortSpecification

    protected SortSpecification getSortSeqeunceSortSpecification()
                                                          throws IfsException

  Description copied from class: `S_RelationshipSelector`
  Returns the Default Sort Specification to be used by this selector.

  Returns:
    a Sort specification that is cached by this instance (so it doesn't need to be re-resolved every time)
  Throws:
    `IfsException` - if any other aspect of the operation fails.
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD